﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub LeCroy WJ300 (1 yr) Chan Input Impedance IEEE /9500
INSTRUMENT:            Sub LeCroy WJ300 (1 yr) Ext Input Impedance IEEE /9500
INSTRUMENT:            Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /9500
INSTRUMENT:            Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /9500
INSTRUMENT:            Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /9500
INSTRUMENT:            Sub LeCroy WJ300 (1 yr) Time Base Acc IEEE /9500
DATE:                  2010-07-30 10:06:22
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       29
NUMBER OF LINES:       689
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        VY, DFM
#
#  Model(s) Covered:
#        Wavejet 300 Series
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        Sub LeCroy WJ300 Select Channel IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE         *CLS;*RST
  1.002  WAIT         -t 3 UUT Resetting...
  1.003  CALL         Sub LeCroy WJ300 Select Channel IEEE
  1.004  MATH         Ch = @Chan
  1.005  MATH         Std = @DevName
  1.006  MATH         Conf = @SysConf

  1.007  JMPL         CHANNEL_INPUT_IMPEDANCE       PSUBI("Chan Input")
  1.008  JMPL         EXT_INPUT_IMPEDANCE           PSUBI("Ext Input")
  1.009  JMPL         DC_GAIN_ACC                   PSUBI("DC Gain Acc")
  1.010  JMPL         OFFSET_ACC                    PSUBI("Offset Acc")
  1.011  JMPL         TRIGGER_LEVEL                 PSUBI("Trigger Level")
  1.012  JMPL         TIME_BASE_ACC                 PSUBI("Time Base Acc")
  1.013  DISP         {Undefined subprocedure!}
  1.014  END

  1.015  EVAL   Increment step number

# ====================== Channel Input Impedance =============================

  2.001  LABEL        CHANNEL_INPUT_IMPEDANCE
  2.002  HEAD         CH[V Ch] INPUT IMPEDANCE: DC 1 MOhm, 100 mV/div

  2.003  IF           Ch == 1
  2.004  RSLT         =
  2.005  RSLT         =CHANNEL INPUT IMPEDANCE
  2.006  ENDIF

  2.007  RSLT         =
  2.008  RSLT         =Channel [V Ch]
  2.009  TARGET       -p

  2.010  IF           NOT(@SourceMultiCh)
  2.011  DISP         Connect the CH 1 Active Head to the UUT CH[V Ch].

  2.012  IF           Ch == 1
  2.013  DISP         The next operator intervention occurs in
  2.013  DISP         approximately 5 minutes, 30 seconds ...

  2.014  ELSE
  2.015  DISP         The next operator intervention occurs in
  2.015  DISP         approximately 3 minutes, 55 seconds ...
  2.016  ENDIF

  2.017  ELSEIF       @SourceMultiCh == 1 && Ch == 1

  2.018  IF           @NumChan == 2
  2.019  DISP         Connect the 9500 to the UUT as follows:
  2.019  DISP
  2.019  DISP         [32]  CH 1 Active Head to UUT CH1 X
  2.019  DISP         [32]  CH 2 Active Head to UUT CH2 Y

  2.020  DISP         The next operator intervention occurs in
  2.020  DISP         approximately 8 minutes, 50 seconds ...

  2.021  ELSE         ; @NumChan == 4
  2.022  DISP         Connect the 9500 to the UUT as follows:
  2.022  DISP
  2.022  DISP         [32]  CH 1 Active Head to UUT CH1 X
  2.022  DISP         [32]  CH 2 Active Head to UUT CH2 Y
  2.022  DISP         [32]  CH 3 Active Head to UUT CH3
  2.022  DISP         [32]  CH 4 Active Head to UUT CH4

  2.023  DISP         The next operator intervention occurs in
  2.023  DISP         approximately 15 minutes, 40 seconds ...
  2.024  ENDIF

  2.025  ENDIF

  2.026  TSET         TDESC = DC 1 MOhm, 100 mV/div
  2.027  TSET         NTHROW = 1 NMEAS = 2
  2.028  IEEE         TDIV 200E-9
  2.029  IEEE         C[V Ch]:CPL DC1M
  2.029  IEEE         C[V Ch]:VDIV 100E-3
  2.030  IEEE         TRMD AUTO
  2.031  TARGET       -m
  2.032  9500         1.000MZ        1.5%                            ZM    2W

  3.001  HEAD         CH[V Ch] INPUT IMPEDANCE: DC 1 MOhm, 1 V/div
  3.002  TSET         TDESC = DC 1 MOhm, 1 V/div
  3.003  TSET         NTHROW = 1 NMEAS = 2
  3.004  IEEE         C[V Ch]:CPL DC1M
  3.005  IEEE         C[V Ch]:VDIV 1
  3.006  TARGET       -m
  3.007  9500         1.000MZ        1.5%                            ZM    2W

# 50 Ohm input is only available for WJ35x and WJ33x.
  4.001  IF           @Bandwidth >= 350E+6
  4.002  HEAD         CH[V Ch] INPUT IMPEDANCE: DC 50 Ohm, 100 mV/div
  4.003  TARGET       -p
  4.004  TSET         TDESC = DC 50 Ohm, 100 mV/div
  4.005  TSET         NTHROW = 1 NMEAS = 2
  4.006  IEEE         C[V Ch]:CPL DC50
  4.007  IEEE         C[V Ch]:VDIV 100E-3
  4.008  TARGET       -m
  4.009  9500         50.00Z         1.5%                            ZM    2W
  5.001  ENDIF

  5.002  HEAD         CH[V Ch] INPUT IMPEDANCE: AC 1 MOhm, 100 mV/div
  5.003  TSET         TDESC = AC 1 MOhm, 100 mV/div
  5.004  TSET         NTHROW = 1 NMEAS = 2
  5.005  IEEE         C[V Ch]:CPL AC1M
  5.006  IEEE         C[V Ch]:VDIV 100E-3
  5.007  TARGET       -m
  5.008  9500         1.000MZ        1.5%                            ZM    2W

  6.001  HEAD         CH[V Ch] INPUT IMPEDANCE: AC 1.2 MOhm, 10 mV/div
  6.002  TSET         TDESC = AC 1.2 MOhm, 10 mV/div
  6.003  TSET         NTHROW = 1 NMEAS = 2
  6.004  IEEE         C[V Ch]:CPL AC1M
  6.005  IEEE         C[V Ch]:VDIV 10E-3
  6.006  TARGET       -m
  6.007  9500         1.200MZ        1.5%                            ZM    2W

  7.001  HEAD
  7.002  9500         *                                                 S
  7.003  END

  7.004  EVAL   Increment step number

# ====================== Ext Input Impedance =================================

  8.001  LABEL        EXT_INPUT_IMPEDANCE
  8.002  RSLT         =
  8.003  RSLT         =External Trigger Input

  8.004  HEAD         EXT TRIGGER INPUT IMPEDANCE: EXT, DC 1 MOhm
  8.005  TARGET       -p
  8.006  TSET         TDESC = EXT, DC 1 MOhm
  8.007  TSET         NTHROW = 1 NMEAS = 2
  8.008  DISP         Connect the CH 1 Active Head to the UUT EXT.
  8.009  IEEE         TRMD AUTO
  8.010  IEEE         TSRC EXT;TCPL DC
  8.011  TARGET       -m
  8.012  9500         1.000MZ        1.5%                            ZM    2W

  9.001  HEAD         EXT TRIGGER INPUT IMPEDANCE: EXT/10, DC 1 MOhm
  9.002  TSET         TDESC = EXT/10, DC 1 MOhm
  9.003  TSET         NTHROW = 1 NMEAS = 2
  9.004  IEEE         TSRC EXT10;TCPL DC
  9.005  TARGET       -m
  9.006  9500         1.000MZ        1.5%                            ZM    2W

 10.001  HEAD
 10.002  9500         *                                                 S
 10.003  END

 10.004  EVAL   Increment step number

# ====================== DC Gain Accuracy ====================================

 11.001  LABEL        DC_GAIN_ACC
 11.002  HEAD         CH[V Ch] DC GAIN ACCURACY: 2 mV/div, 1 MOhm

 11.003  IF           Ch == 1
 11.004  RSLT         =
 11.005  RSLT         =DC GAIN ACCURACY (1 MOhm)
 11.006  ENDIF

 11.007  RSLT         =
 11.008  RSLT         =Channel [V Ch]

 11.009  TARGET       -p
 11.010  TSET         TDESC = 2 mV/div
 11.011  IEEE         C[V Ch]:CPL DC1M
 11.012  IEEE         C[V Ch]:VDIV 2E-3
 11.013  IEEE         C[V Ch]:OFST 0
 11.014  IEEE         C[V Ch]:BWL 20M
 11.015  IEEE         ACQ AVERAGE;AVGCNT 16
 11.016  IEEE         TTYP EDGE;TSRC CH[V Ch];TRMD AUTO
 11.017  IEEE         TDIV 1E-6
 11.018  IEEE         DIRM A;MSEL CH[V Ch],VMEAN;MDSP ON
 11.019  TARGET       -m
 11.020  9500         6.00mV                                            S
# Get the accuracy of positive output of calibrator.
 11.021  MATH         PosAcc = ACCV(Std, "Volts", MEM1 * 1E-3)
 11.022  WAIT         -t 3 System Settling...
 11.023  IEEE         TRMD STOP[D1000]
 11.024  IEEE         TRMD AUTO[D1000]
 11.025  IEEE         MSRA?[I]
 11.026  MATH         PosValue = MEM / 1E-3
 11.027  9500         -6.00mV                                           S
# Get the accuracy of negative output of calibrator.
 11.028  MATH         NegAcc = ACCV(Std, "Volts", MEM1 * 1E-3)
 11.029  WAIT         -t 3 System Settling...
 11.030  IEEE         TRMD STOP[D1000]
 11.031  IEEE         TRMD AUTO[D1000]
 11.032  IEEE         MSRA?[I]
 11.033  MATH         NegValue = MEM / 1E-3
# RSS uncertainty components and expand to system confidence level.
 11.034  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF(Std) * Conf
# Setup system accuracy.
 11.035  MATH         L[1] = L[1] / 1E-3
 11.036  ACC          12.00mV        L1U
 11.037  MATH         MEM = PosValue - NegValue
# DC Gain Accuracy Spec: ±(1.5% + 0.5% of FS)
 11.038  MEMCX  16    12.00mV        1.5% 0.5/

 12.001  HEAD         CH[V Ch] DC GAIN ACCURACY: 5 mV/div, 1 MOhm
 12.002  TSET         TDESC = 5 mV/div
 12.003  IEEE         C[V Ch]:VDIV 5E-3
 12.004  TARGET       -m
 12.005  9500         15.00mV                                           S
 12.006  MATH         PosAcc = ACCV(Std, "Volts", MEM1 * 1E-3)
 12.007  WAIT         -t 3 System Settling...
 12.008  IEEE         TRMD STOP[D1000]
 12.009  IEEE         TRMD AUTO[D1000]
 12.010  IEEE         MSRA?[I]
 12.011  MATH         PosValue = MEM / 1E-3
 12.012  9500         -15.00mV                                          S
 12.013  MATH         NegAcc = ACCV(Std, "Volts", MEM1 * 1E-3)
 12.014  WAIT         -t 3 System Settling...
 12.015  IEEE         TRMD STOP[D1000]
 12.016  IEEE         TRMD AUTO[D1000]
 12.017  IEEE         MSRA?[I]
 12.018  MATH         NegValue = MEM / 1E-3
 12.019  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF(Std) * Conf
 12.020  MATH         L[1] = L[1] / 1E-3
 12.021  ACC          30.00mV        L1U
 12.022  MATH         MEM = PosValue - NegValue
 12.023  MEMCX  40    30.00mV        1.5% 0.5/

 13.001  HEAD         CH[V Ch] DC GAIN ACCURACY: 10 mV/div, 1 MOhm
 13.002  TSET         TDESC = 10 mV/div
 13.003  IEEE         C[V Ch]:VDIV 10E-3
 13.004  TARGET       -m
 13.005  9500         30.00mV                                           S
 13.006  MATH         PosAcc = ACCV(Std, "Volts", MEM1 * 1E-3)
 13.007  WAIT         -t 3 System Settling...
 13.008  IEEE         TRMD STOP[D1000]
 13.009  IEEE         TRMD AUTO[D1000]
 13.010  IEEE         MSRA?[I]
 13.011  MATH         PosValue = MEM / 1E-3
 13.012  9500         -30.00mV                                          S
 13.013  MATH         NegAcc = ACCV(Std, "Volts", MEM1 * 1E-3)
 13.014  WAIT         -t 3 System Settling...
 13.015  IEEE         TRMD STOP[D1000]
 13.016  IEEE         TRMD AUTO[D1000]
 13.017  IEEE         MSRA?[I]
 13.018  MATH         NegValue = MEM / 1E-3
 13.019  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF(Std) * Conf
 13.020  MATH         L[1] = L[1] / 1E-3
 13.021  ACC          60.00mV        L1U
 13.022  MATH         MEM = PosValue - NegValue
 13.023  MEMCX  80    60.00mV        1.5% 0.5/

 14.001  HEAD         CH[V Ch] DC GAIN ACCURACY: 100 V/div, 1 MOhm
 14.002  TSET         TDESC = 100 mV/div
 14.003  IEEE         C[V Ch]:VDIV 0.1
 14.004  TARGET       -m
 14.005  9500         0.300V                                            S
 14.006  MATH         PosAcc = ACCV(Std, "Volts", MEM1)
 14.007  WAIT         -t 3 System Settling...
 14.008  IEEE         TRMD STOP[D1000]
 14.009  IEEE         TRMD AUTO[D1000]
 14.010  IEEE         MSRA?[I]
 14.011  MATH         PosValue = MEM
 14.012  9500         -0.300V                                           S
 14.013  MATH         NegAcc = ACCV(Std, "Volts", MEM1)
 14.014  WAIT         -t 3 System Settling...
 14.015  IEEE         TRMD STOP[D1000]
 14.016  IEEE         TRMD AUTO[D1000]
 14.017  IEEE         MSRA?[I]
 14.018  MATH         NegValue = MEM
 14.019  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF(Std) * Conf
 14.020  ACC          0.600V         L1U
 14.021  MATH         MEM = PosValue - NegValue
 14.022  MEMCX  0.8   0.600V         1.5% 0.5/

 15.001  HEAD         CH[V Ch] DC GAIN ACCURACY: 1 V/div, 1 MOhm
 15.002  TSET         TDESC = 1 V/div
 15.003  IEEE         C[V Ch]:VDIV 1
 15.004  TARGET       -m
 15.005  9500         3.000V                                            S
 15.006  MATH         PosAcc = ACCV(Std, "Volts", MEM1)
 15.007  WAIT         -t 3 System Settling...
 15.008  IEEE         TRMD STOP[D1000]
 15.009  IEEE         TRMD AUTO[D1000]
 15.010  IEEE         MSRA?[I]
 15.011  MATH         PosValue = MEM
 15.012  9500         -3.000V                                           S
 15.013  MATH         NegAcc = ACCV(Std, "Volts", MEM1)
 15.014  WAIT         -t 3 System Settling...
 15.015  IEEE         TRMD STOP[D1000]
 15.016  IEEE         TRMD AUTO[D1000]
 15.017  IEEE         MSRA?[I]
 15.018  MATH         NegValue = MEM
 15.019  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF(Std) * Conf
 15.020  ACC          6.000V         L1U
 15.021  MATH         MEM = PosValue - NegValue
 15.022  MEMCX  8     6.000V         1.5% 0.5/

 16.001  HEAD         CH[V Ch] DC GAIN ACCURACY: 10 V/div, 1 MOhm
 16.002  TSET         TDESC = 10 V/div
 16.003  IEEE         C[V Ch]:VDIV 10
 16.004  TARGET       -m
 16.005  9500         30.00V                                            S
 16.006  MATH         PosAcc = ACCV(Std, "Volts", MEM1)
 16.007  WAIT         -t 3 System Settling...
 16.008  IEEE         TRMD STOP[D1000]
 16.009  IEEE         TRMD AUTO[D1000]
 16.010  IEEE         MSRA?[I]
 16.011  MATH         PosValue = MEM
 16.012  9500         -30.00V                                           S
 16.013  MATH         NegAcc = ACCV(Std, "Volts", MEM1)
 16.014  WAIT         -t 3 System Settling...
 16.015  IEEE         TRMD STOP[D1000]
 16.016  IEEE         TRMD AUTO[D1000]
 16.017  IEEE         MSRA?[I]
 16.018  MATH         NegValue = MEM
 16.019  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF(Std) * Conf
 16.020  ACC          60.00V         L1U
 16.021  MATH         MEM = PosValue - NegValue
 16.022  MEMCX  80    60.00V         1.5% 0.5/

 17.001  HEAD
 17.002  9500         *                                                 S
 17.003  END

 17.004  EVAL   Increment step number

# ====================== Offset Accuracy =====================================

 18.001  LABEL        OFFSET_ACC
 18.002  HEAD         CH[V Ch] OFFSET ACCURACY: 10 mV/div, 1 MOhm

 18.003  IF           @Chan == 1
 18.004  RSLT         =
 18.005  RSLT         =OFFSET ACCURACY (10 mV/div, 1 MOhm)
 18.006  ENDIF

 18.007  RSLT         =
 18.008  RSLT         =Channel [V Ch]

 18.009  TARGET       -p
 18.010  VSET         CONF = [V Conf]
 18.011  TSET         TDESC = Input -1 V, Offset +1 V
 18.012  IEEE         C[V Ch]:CPL DC1M
 18.013  IEEE         C[V Ch]:VDIV 10E-3
 18.014  IEEE         C[V Ch]:OFST 1
 18.015  IEEE         C[V Ch]:BWL 20M
 18.016  IEEE         ACQ AVERAGE;AVGCNT 16
 18.017  IEEE         TTYP EDGE;TSRC LINE;TRMD AUTO
 18.018  IEEE         TDIV 1E-6
 18.019  IEEE         DIRM A;MSEL CH[V Ch],VMEAN;MDSP ON
 18.020  TSET         CPT = 0 mV
 18.021  FMT          CPT = %.1f
 18.022  TARGET       -m
 18.023  9500         -1V                                               S
# Save the value of calibrator output.
 18.024  MATH         Vstd = MEM1
# Get the accuracy of offset signal.
 18.025  MATH         L[1] = ACCV(Std, "Volts", Vstd)
# Expand to system confidence level and convert to mV unit.
 18.026  MATH         L[1] = (L[1] / CONF(Std) * Conf) / 1E-3
# Setup system accuracy
 18.027  ACC          0.0mV          L1U
 18.028  WAIT         -t 3 System Settling...
 18.029  IEEE         TRMD STOP[D1000]
 18.030  IEEE         TRMD AUTO[D1000]
 18.031  IEEE         MSRA?[I]
# Set difference between mean value and calibrator output value as UUT
# indicated value.
 18.032  MATH         MEM = (MEM - Vstd) / 1E-3
# Offset Accuracy Spec: ±(1% + 0.5% of FS + 1 mV)
 18.033  MEMCX  80    mV             1% 0.5/ 1U

 19.001  IEEE         C[V Ch]:OFST -1
 19.002  TSET         TDESC = Input +1 V, Offset -1 V
 19.003  TSET         CPT = 0 mV
 19.004  FMT          CPT = %.1f
 19.005  TARGET       -m
 19.006  9500         1V                                                S
 19.007  MATH         Vstd = MEM1
 19.008  MATH         L[1] = ACCV(Std, "Volts", Vstd)
 19.009  MATH         L[1] = (L[1] / CONF(Std) * Conf) / 1E-3
 19.010  ACC          0.0mV          L1U
 19.011  WAIT         -t 3 System Settling...
 19.012  IEEE         TRMD STOP[D1000]
 19.013  IEEE         TRMD AUTO[D1000]
 19.014  IEEE         MSRA?[I]
 19.015  MATH         MEM = (MEM - Vstd) / 1E-3
 19.016  MEMCX  80    mV             1% 0.5/ 1U

 20.001  FMT          CPT = *
 20.002  HEAD
 20.003  9500         *                                                 S
 20.004  END

 20.005  EVAL   Increment step number

# ================================ Trigger Level =============================

 21.001  LABEL        TRIGGER_LEVEL
 21.002  HEAD         CH[V Ch] TRIGGER AT 0 DIVISION THRESHOLD: Pos Slope
# TUR checking turned off because measured slope value not related to 9500
# output amplitude accuracy.
 21.003  ASK-                              U

 21.004  IF           Ch == 1
 21.005  RSLT         =
 21.006  RSLT         =TRIGGER LEVEL
 21.007  ENDIF

 21.008  RSLT         =
 21.009  RSLT         =Channel [V Ch]

 21.010  TARGET       -p
 21.011  TSET         TDESC = 0 mV, Positive Slope
 21.012  IEEE         C[V Ch]:CPL DC1M
 21.013  IEEE         C[V Ch]:VDIV 100E-3
 21.014  IEEE         C[V Ch]:OFST 0
 21.015  IEEE         ACQ AVERAGE;AVGCNT 16;MLEN 10K
 21.016  IEEE         TTYP EDGE;TSRC CH[V Ch];TRMD AUTO;TSLP POS;TLVL 0
 21.017  IEEE         TDIV 5E-6
 21.018  IEEE         CURM VATH;HCUR 0,0

# Adjust the calibrator output amplitude to get 90% of full scale.
 21.019  IEEE         DIRM A;MSEL CH[V Ch],P-P;MDSP ON
 21.020  MATH         MEM = 720; MEM1 = MEM

 21.021  DO
 21.022  MATH         MEM = MEM1 + (720 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 21.023  IF           MEM > 5560 || MEM < 4.44
 21.024  MATH         MEM = 720
 21.025  ENDIF

 21.026  9500         mVpp                         50kH           LS    S
 21.027  WAIT         -t 3 System Settling...
 21.028  IEEE         MSRA?[I]
 21.029  MATH         MEM = MEM / 1E-3
 21.030  UNTIL        MEM > 699 && MEM < 721

# Save the Last calibrator amplitude setting.
 21.031  MATH         Vstd = MEM1
 21.032  IEEE         TRDL 0[D1000]
 21.033  TARGET       -m
 21.034  IEEE         CMSR?[I$]
# Get the value at cursor of current channel and convert to mVpp.
 21.035  MATH         MEM = FLD(MEM2, Ch, ",") / 1E-3
 21.036  MEMCX        0.00mV         42.50U

 22.001  HEAD         CH[V Ch] TRIGGER AT 0 DIVISION THRESHOLD: Neg Slope
 22.002  TSET         TDESC = 0 mV, Negative Slope
 22.003  IEEE         TSLP NEG
 22.004  IEEE         CURM VATH;HCUR 0,0
# Retrieve last calibrator setting.
 22.005  MATH         MEM = Vstd
 22.006  9500         mVpp                         50kH           LS    S
 22.007  WAIT         -t 3 System Settling...
 22.008  IEEE         TRDL 0[D1000]
 22.009  TARGET       -m
 22.010  IEEE         CMSR?[I$]
# Get the value at cursor of current channel and convert to mVpp.
 22.011  MATH         MEM = FLD(MEM2, Ch, ",") / 1E-3
 22.012  MEMCX        0.00mV         42.50U

 23.001  HEAD         CH[V Ch] TRIGGER AT +3.0 DIVISION THRESHOLD: Pos Slope
 23.002  TSET         TDESC = +300 mV, Positive Slope
 23.003  IEEE         C[V Ch]:CPL DC1M
 23.004  IEEE         C[V Ch]:VDIV 100E-3
 23.005  IEEE         C[V Ch]:OFST 0
 23.006  IEEE         ACQ AVERAGE;AVGCNT 16;MLEN 10K
 23.007  IEEE         TTYP EDGE;TSRC CH[V Ch];TRMD AUTO;TSLP POS;TLVL 0.3
 23.008  IEEE         TDIV 5E-6
 23.009  IEEE         CURM VATH;HCUR 0,0
# Retrieve last calibrator setting.
 23.010  MATH         MEM = Vstd
 23.011  9500         mVpp                         50kH           LS    S
 23.012  WAIT         -t 3 System Settling...
 23.013  IEEE         TRDL 0[D1000]
 23.014  TARGET       -m
 23.015  IEEE         CMSR?[I$]
 23.016  MATH         MEM = FLD(MEM2, Ch, ",") / 1E-3
 23.017  MEMCX        300.0mV        60.0U

 24.001  HEAD         CH[V Ch] TRIGGER AT +3.0 DIVISION THRESHOLD: Neg Slope
 24.002  TSET         TDESC = +300 mV, Negative Slope
 24.003  IEEE         TSLP NEG
 24.004  IEEE         CURM VATH;HCUR 0,0
 24.005  MATH         MEM = Vstd
 24.006  9500         mVpp                         50kH           LS    S
 24.007  WAIT         -t 3 System Settling...
 24.008  IEEE         TRDL 0 [D1000]
 24.009  TARGET       -m
 24.010  IEEE         CMSR?[I$]
 24.011  MATH         MEM = FLD(MEM2, Ch, ",") / 1E-3
 24.012  MEMCX        300.0mV        60.0U

 25.001  HEAD         CH[V Ch] TRIGGER AT -3.0 DIVISION THRESHOLD: Pos Slope
 25.002  TSET         TDESC = -300 mV, Positive Slope
 25.003  IEEE         C[V Ch]:CPL DC1M
 25.004  IEEE         C[V Ch]:VDIV 100E-3
 25.005  IEEE         C[V Ch]:OFST 0
 25.006  IEEE         ACQ AVERAGE;AVGCNT 16;MLEN 10K
 25.007  IEEE         TTYP EDGE;TSRC CH[V Ch];TRMD AUTO;TSLP POS;TLVL -0.3
 25.008  IEEE         TDIV 5E-6
 25.009  IEEE         CURM VATH;HCUR 0,0
 25.010  MATH         MEM = Vstd
 25.011  9500         mVpp                         50kH           LS    S
 25.012  WAIT         -t 3 System Settling...
 25.013  IEEE         TRDL 0[D1000]
 25.014  TARGET       -m
 25.015  IEEE         CMSR?[I$]
 25.016  MATH         MEM = FLD(MEM2, Ch, ",") / 1E-3
 25.017  MEMCX        -300.0mV       60.0U

 26.001  HEAD         CH[V Ch] TRIGGER AT -3.0 DIVISION THRESHOLD: Neg Slope
 26.002  TSET         TDESC = -300 mV, Negative Slope
 26.003  IEEE         TSLP NEG
 26.004  IEEE         CURM VATH;HCUR 0,0
 26.005  MATH         MEM = Vstd
 26.006  9500         mVpp                         50kH           LS    S
 26.007  WAIT         -t 3 System Settling...
 26.008  IEEE         TRDL 0[D1000]
 26.009  TARGET       -m
 26.010  IEEE         CMSR?[I$]
 26.011  MATH         MEM = FLD(MEM2, Ch, ",") / 1E-3
 26.012  MEMCX        -300.0mV       60.0U

# Turn TUR checking back on
 27.001  ASK+                              U
 27.002  HEAD
 27.003  9500         *                                                 S
 27.004  END

 27.005  EVAL   Increment step number

# ================================ Time Base Acc =============================

 28.001  LABEL        TIME_BASE_ACC
 28.002  RSLT         =
 28.003  HEAD         {TIME BASE ACCURACY}
 28.004  TARGET
 28.005  IEEE         C[V Ch]:CPL DC1M
 28.006  IEEE         C[V Ch]:VDIV 100E-3
 28.007  IEEE         C[V Ch]:OFST 0
 28.008  IEEE         ACQ AVERAGE;AVGCNT 16;MLEN 10K
 28.009  IEEE         TTYP EDGE;TSRC CH[V Ch];TRMD AUTO
 28.010  IEEE         TDIV 20E-9

# 50 Ohm input is only available for WJ35x and WJ33x.
 28.011  IF           @Bandwidth >= 350E+6
 28.012  IEEE         C[V Ch]:CPL DC50
 28.013  9500         600mVpp                      10MH           LS    S  L
 28.014  ELSE
 28.015  IEEE         C[V Ch]:CPL DC1M
 28.016  9500         600mVpp                      10MH           LS    S
 28.017  ENDIF

 28.018  WAIT         -t 3 System Settling...

 28.019  IF           @Bandwidth == 100E+6
 28.020  MATH         TDiv = 5E-9
 28.021  ELSEIF       @Bandwidth == 200E+6
 28.022  MATH         TDiv = 2E-9
 28.023  ELSE
 28.024  MATH         TDiv = 1E-9
 28.025  ENDIF

 28.026  IEEE         TDIV [V TDiv]
 28.027  IEEE         TSLP POS;TLVL 0;TRDL 0
 28.028  IEEE         CURM VATH;HCUR 0,0

# Adjust trig level to make the positive slope just crossed from the center of
# screen. Here we define the amplitude of cross zero point is below +/-0.25 mV
# for WaveJet 33x and 35x and +/-0.5 mV for WaveJet 31x and 32x.

 28.029  IF           @Bandwidth >= 350E+6
 28.030  MATH         AmplCrossZero = 0.25
 28.031  ELSE
 28.032  MATH         AmplCrossZero = 0.5
 28.033  ENDIF

 28.034  MATH         TrigLevel = 0

 28.035  DO
 28.036  IEEE         TLVL [V TrigLevel]
 28.037  IEEE         [D1000]CMSR?[I$]
# Get the value at cursor of current channel and convert to mV.
 28.038  MATH         MEM = FLD(MEM2, Ch, ",") / 1E-3

 28.039  IF           MEM > AmplCrossZero
 28.040  MATH         TrigLevel = TrigLevel - 0.001
 28.041  ELSEIF       MEM < (-1 * AmplCrossZero)
 28.042  MATH         TrigLevel = TrigLevel + 0.001
 28.043  ENDIF

 28.044  IF           ABS(TrigLevel) >= 0.3
 28.045  MATH         TrigLevel = 0
 28.046  ENDIF

 28.047  UNTIL        ABS(MEM) <= AmplCrossZero

# Set -1 ms delay.
 28.048  IEEE         TRDL -1E-3
 28.049  WAIT         -t 2 System Settling...
# Use cursor measurement to look for new cross zero point after trigger delay
# is set. Here we define the amplitude of cross zero point is below +/-0.25 mV
# for WaveJet 33x and 35x and +/-0.5 mV for WaveJet 31x and 32x.
 28.050  MATH         HCurPos = 0

 28.051  DO
 28.052  IEEE         HCUR [V HCurPos],0
 28.053  IEEE         [D500]CMSR?[I$]
 28.054  MATH         MEM = FLD(MEM2, Ch, ",") / 1E-3

# Define coarse and fine step for cursor movement.
 28.055  IF           MEM > 10
 28.056  MATH         HCurPos = HCurPos - 0.1
 28.057  ELSEIF       MEM >= AmplCrossZero && MEM <= 10
 28.058  MATH         HCurPos = HCurPos - 0.01
 28.059  ELSEIF       MEM >= -10 && MEM <= (-1 * AmplCrossZero)
 28.060  MATH         HCurPos = HCurPos + 0.01
 28.061  ELSEIF       MEM < -10
 28.062  MATH         HCurPos = HCurPos + 0.1
 28.063  ENDIF

 28.064  UNTIL        ABS(MEM) <= AmplCrossZero

# Get the cursor position and convert to current time division.
 28.065  IEEE         HCUR?[I$]
 28.066  MATH         MEM = FLD(MEM2, 1, ",") * TDiv
 28.067  MATH         RsltStr = FMT(MEM / 1E-9, "%.3f") & " ns"
 28.068  MEM2         = Limits: ±8.000 ns, Result: [V RsltStr]
 28.069  EVAL   -e MEM >= -8 && MEM <= 8 : [MEM2]

 29.001  HEAD
 29.002  9500         *                                                 S
 29.003  END
